[arch-commits] Commit in gnash-common/repos (extra-i686 extra-i686/PKGBUILD)

Pierre Schmitz pierre at archlinux.org
Thu Oct 30 18:40:52 EDT 2008


    Date: Thursday, October 30, 2008 @ 18:40:52
  Author: pierre
Revision: 17544

Merged revisions 17510,17531 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/gnash-common/trunk

........
  r17510 | pierre | 2008-10-30 21:20:01 +0100 (Do, 30 Okt 2008) | 1 line
  
  upgpkg: gnash-common 0.8.4-1
........
  r17531 | pierre | 2008-10-30 23:08:45 +0100 (Do, 30 Okt 2008) | 1 line
  
  rethink configure options etc.
........

Modified:
  gnash-common/repos/extra-i686/	(properties)
  gnash-common/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   59 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 29 insertions(+), 30 deletions(-)


Property changes on: gnash-common/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /gnash-common/trunk:1-5619
   + /gnash-common/trunk:1-17543

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-10-30 22:33:53 UTC (rev 17543)
+++ extra-i686/PKGBUILD	2008-10-30 22:40:52 UTC (rev 17544)
@@ -1,41 +1,40 @@
 # $Id$
-# Contributor : Rohan Dhruva
 
 pkgname=gnash-common
-pkgver=0.8.3
-pkgrel=4
-pkgdesc="A GNU Flash movie player."
+pkgver=0.8.4
+pkgrel=1
+pkgdesc='A GNU Flash movie player'
 arch=('i686' 'x86_64')
-url="http://www.gnu.org/software/gnash/"
-license=("GPL3")
-depends=('fontconfig' 'libxml2' 'curl' 'libtool>=2.2-2' 'ffmpeg>=20080715' 'boost>=1.35' 'libxi' 'libdca' 'glib2')
-makedepends=('pkgconfig' 'diffutils' 'agg' 'gtk2')
-source=(http://ftp.gnu.org/gnu/gnash/${pkgver}/gnash-${pkgver}.tar.bz2)
-md5sums=('5033ef2602ea1234a9ccb73000a0dedb')
-options=('!libtool' '!emptydirs')
+url='http://www.gnu.org/software/gnash/'
+license=('GPL3')
+depends=('curl' 'giflib' 'boost' 'libldap' 'gstreamer0.10-base' 'sdl' 'libgl'
+         'libjpeg' 'libpng' 'mesa')
+makedepends=('pkgconfig')
+source=("http://ftp.gnu.org/gnu/gnash/${pkgver}/gnash-${pkgver}.tar.bz2")
+options=('!libtool' '!emptydirs' '!docs')
 provides=('gnash')
 replaces=('gnash')
+md5sums=('b47a7ed4b7c66b8c2ebacc2286ef0d4b')
 
 build() {
-  cd $startdir/src/gnash-$pkgver
+	cd $srcdir/gnash-$pkgver
 
-  ./configure --prefix=/usr \
-   --sysconfdir=/etc \
-   --disable-kparts \
-   --disable-nsapi \
-   --enable-gui=gtk \
-   --enable-z \
-   --enable-jpeg \
-   --enable-renderer=agg \
-   --enable-media=ffmpeg \
-   --enable-write \
-   --disable-cygnal \
-   --disable-static \
-   --with-ffmpeg-incl=/usr/include || return 1
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--disable-plugins \
+		--disable-menus \
+		--enable-gui=sdl \
+		--enable-renderer=ogl \
+		--enable-z \
+		--enable-jpeg \
+		--enable-libpng \
+		--enable-gif \
+		--enable-fontconfig \
+		--enable-Xft \
+		--enable-expat \
+		--enable-gstreamer \
+		--enable-media=gst || return 1
 
-  make || return 1
-  make DESTDIR=$startdir/pkg install || return 1
-
-  # cleanup for the plugins
-  rm -f $startdir/pkg/usr/bin/gtk-gnash
+	make || return 1
+	make DESTDIR=$pkgdir install || return 1
 }




More information about the arch-commits mailing list